- »
- Reference
- [View page source](https://pygithub.readthedocs.io/en/stable/_sources/reference.rst.txt)

* * *

# Reference [¶](https://pygithub.readthedocs.io/en/stable/reference.html\#module-github "Permalink to this headline")

The primary class you will instantiate is [`github.MainClass.Github`](https://pygithub.readthedocs.io/en/stable/github.html#github.MainClass.Github "github.MainClass.Github"). From its `get_`, `create_` methods, you
will obtain instances of all Github objects like [`github.NamedUser.NamedUser`](https://pygithub.readthedocs.io/en/stable/github_objects/NamedUser.html#github.NamedUser.NamedUser "github.NamedUser.NamedUser") or
[`github.Repository.Repository`](https://pygithub.readthedocs.io/en/stable/github_objects/Repository.html#github.Repository.Repository "github.Repository.Repository").

All classes inherit from [`github.GithubObject.GithubObject`](https://pygithub.readthedocs.io/en/stable/github_objects.html#github.GithubObject.GithubObject "github.GithubObject.GithubObject").

- [Main class: Github](https://pygithub.readthedocs.io/en/stable/github.html)
- [Main class: GithubIntegration](https://pygithub.readthedocs.io/en/stable/github_integration.html)
- [APIs](https://pygithub.readthedocs.io/en/stable/apis.html)
- [Utilities](https://pygithub.readthedocs.io/en/stable/utilities.html)
  - [Authentication](https://pygithub.readthedocs.io/en/stable/utilities.html#authentication)
  - [Logging](https://pygithub.readthedocs.io/en/stable/utilities.html#logging)
  - [Error Handling](https://pygithub.readthedocs.io/en/stable/utilities.html#module-github.GithubException)
  - [Default argument](https://pygithub.readthedocs.io/en/stable/utilities.html#default-argument)
  - [Pagination](https://pygithub.readthedocs.io/en/stable/utilities.html#pagination)
  - [Input classes](https://pygithub.readthedocs.io/en/stable/utilities.html#input-classes)
  - [Raw Requests](https://pygithub.readthedocs.io/en/stable/utilities.html#raw-requests)
- [Github objects](https://pygithub.readthedocs.io/en/stable/github_objects.html)
  - [AccessToken](https://pygithub.readthedocs.io/en/stable/github_objects/AccessToken.html)
  - [AdvisoryBase](https://pygithub.readthedocs.io/en/stable/github_objects/AdvisoryBase.html)
  - [AdvisoryCredit](https://pygithub.readthedocs.io/en/stable/github_objects/AdvisoryCredit.html)
  - [AdvisoryCreditDetailed](https://pygithub.readthedocs.io/en/stable/github_objects/AdvisoryCreditDetailed.html)
  - [AdvisoryVulnerability](https://pygithub.readthedocs.io/en/stable/github_objects/AdvisoryVulnerability.html)
  - [AdvisoryVulnerabilityPackage](https://pygithub.readthedocs.io/en/stable/github_objects/AdvisoryVulnerabilityPackage.html)
  - [ApplicationOAuth](https://pygithub.readthedocs.io/en/stable/github_objects/ApplicationOAuth.html)
  - [Artifact](https://pygithub.readthedocs.io/en/stable/github_objects/Artifact.html)
  - [AuthenticatedUser](https://pygithub.readthedocs.io/en/stable/github_objects/AuthenticatedUser.html)
  - [Authorization](https://pygithub.readthedocs.io/en/stable/github_objects/Authorization.html)
  - [AuthorizationApplication](https://pygithub.readthedocs.io/en/stable/github_objects/AuthorizationApplication.html)
  - [Autolink](https://pygithub.readthedocs.io/en/stable/github_objects/Autolink.html)
  - [Branch](https://pygithub.readthedocs.io/en/stable/github_objects/Branch.html)
  - [BranchProtection](https://pygithub.readthedocs.io/en/stable/github_objects/BranchProtection.html)
  - [CVSS](https://pygithub.readthedocs.io/en/stable/github_objects/CVSS.html)
  - [CWE](https://pygithub.readthedocs.io/en/stable/github_objects/CWE.html)
  - [CheckRun](https://pygithub.readthedocs.io/en/stable/github_objects/CheckRun.html)
  - [CheckRunAnnotation](https://pygithub.readthedocs.io/en/stable/github_objects/CheckRunAnnotation.html)
  - [CheckRunOutput](https://pygithub.readthedocs.io/en/stable/github_objects/CheckRunOutput.html)
  - [CheckSuite](https://pygithub.readthedocs.io/en/stable/github_objects/CheckSuite.html)
  - [Clones](https://pygithub.readthedocs.io/en/stable/github_objects/Clones.html)
  - [CodeScanAlert](https://pygithub.readthedocs.io/en/stable/github_objects/CodeScanAlert.html)
  - [CodeScanAlertInstance](https://pygithub.readthedocs.io/en/stable/github_objects/CodeScanAlertInstance.html)
  - [CodeScanAlertInstanceLocation](https://pygithub.readthedocs.io/en/stable/github_objects/CodeScanAlertInstanceLocation.html)
  - [CodeScanRule](https://pygithub.readthedocs.io/en/stable/github_objects/CodeScanRule.html)
  - [CodeScanTool](https://pygithub.readthedocs.io/en/stable/github_objects/CodeScanTool.html)
  - [CodeSecurityConfig](https://pygithub.readthedocs.io/en/stable/github_objects/CodeSecurityConfig.html)
  - [CodeSecurityConfigRepository](https://pygithub.readthedocs.io/en/stable/github_objects/CodeSecurityConfigRepository.html)
  - [Commit](https://pygithub.readthedocs.io/en/stable/github_objects/Commit.html)
  - [CommitCombinedStatus](https://pygithub.readthedocs.io/en/stable/github_objects/CommitCombinedStatus.html)
  - [CommitComment](https://pygithub.readthedocs.io/en/stable/github_objects/CommitComment.html)
  - [CommitStats](https://pygithub.readthedocs.io/en/stable/github_objects/CommitStats.html)
  - [CommitStatus](https://pygithub.readthedocs.io/en/stable/github_objects/CommitStatus.html)
  - [Comparison](https://pygithub.readthedocs.io/en/stable/github_objects/Comparison.html)
  - [ContentFile](https://pygithub.readthedocs.io/en/stable/github_objects/ContentFile.html)
  - [Copilot](https://pygithub.readthedocs.io/en/stable/github_objects/Copilot.html)
  - [CopilotSeat](https://pygithub.readthedocs.io/en/stable/github_objects/CopilotSeat.html)
  - [DefaultCodeSecurityConfig](https://pygithub.readthedocs.io/en/stable/github_objects/DefaultCodeSecurityConfig.html)
  - [DependabotAlert](https://pygithub.readthedocs.io/en/stable/github_objects/DependabotAlert.html)
  - [DependabotAlertAdvisory](https://pygithub.readthedocs.io/en/stable/github_objects/DependabotAlertAdvisory.html)
  - [DependabotAlertDependency](https://pygithub.readthedocs.io/en/stable/github_objects/DependabotAlertDependency.html)
  - [DependabotAlertVulnerability](https://pygithub.readthedocs.io/en/stable/github_objects/DependabotAlertVulnerability.html)
  - [Deployment](https://pygithub.readthedocs.io/en/stable/github_objects/Deployment.html)
  - [DeploymentStatus](https://pygithub.readthedocs.io/en/stable/github_objects/DeploymentStatus.html)
  - [DiscussionBase](https://pygithub.readthedocs.io/en/stable/github_objects/DiscussionBase.html)
  - [DiscussionCommentBase](https://pygithub.readthedocs.io/en/stable/github_objects/DiscussionCommentBase.html)
  - [Download](https://pygithub.readthedocs.io/en/stable/github_objects/Download.html)
  - [Enterprise](https://pygithub.readthedocs.io/en/stable/github_objects/Enterprise.html)
  - [EnterpriseConsumedLicenses](https://pygithub.readthedocs.io/en/stable/github_objects/EnterpriseConsumedLicenses.html)
  - [Environment](https://pygithub.readthedocs.io/en/stable/github_objects/Environment.html)
  - [EnvironmentDeploymentBranchPolicy](https://pygithub.readthedocs.io/en/stable/github_objects/EnvironmentDeploymentBranchPolicy.html)
  - [EnvironmentProtectionRule](https://pygithub.readthedocs.io/en/stable/github_objects/EnvironmentProtectionRule.html)
  - [EnvironmentProtectionRuleReviewer](https://pygithub.readthedocs.io/en/stable/github_objects/EnvironmentProtectionRuleReviewer.html)
  - [Event](https://pygithub.readthedocs.io/en/stable/github_objects/Event.html)
  - [File](https://pygithub.readthedocs.io/en/stable/github_objects/File.html)
  - [Gist](https://pygithub.readthedocs.io/en/stable/github_objects/Gist.html)
  - [GistComment](https://pygithub.readthedocs.io/en/stable/github_objects/GistComment.html)
  - [GistFile](https://pygithub.readthedocs.io/en/stable/github_objects/GistFile.html)
  - [GistHistoryState](https://pygithub.readthedocs.io/en/stable/github_objects/GistHistoryState.html)
  - [GitAuthor](https://pygithub.readthedocs.io/en/stable/github_objects/GitAuthor.html)
  - [GitBlob](https://pygithub.readthedocs.io/en/stable/github_objects/GitBlob.html)
  - [GitCommit](https://pygithub.readthedocs.io/en/stable/github_objects/GitCommit.html)
  - [GitCommitVerification](https://pygithub.readthedocs.io/en/stable/github_objects/GitCommitVerification.html)
  - [GitObject](https://pygithub.readthedocs.io/en/stable/github_objects/GitObject.html)
  - [GitRef](https://pygithub.readthedocs.io/en/stable/github_objects/GitRef.html)
  - [GitRelease](https://pygithub.readthedocs.io/en/stable/github_objects/GitRelease.html)
  - [GitReleaseAsset](https://pygithub.readthedocs.io/en/stable/github_objects/GitReleaseAsset.html)
  - [GitTag](https://pygithub.readthedocs.io/en/stable/github_objects/GitTag.html)
  - [GitTree](https://pygithub.readthedocs.io/en/stable/github_objects/GitTree.html)
  - [GitTreeElement](https://pygithub.readthedocs.io/en/stable/github_objects/GitTreeElement.html)
  - [GithubApp](https://pygithub.readthedocs.io/en/stable/github_objects/GithubApp.html)
  - [GitignoreTemplate](https://pygithub.readthedocs.io/en/stable/github_objects/GitignoreTemplate.html)
  - [GlobalAdvisory](https://pygithub.readthedocs.io/en/stable/github_objects/GlobalAdvisory.html)
  - [Hook](https://pygithub.readthedocs.io/en/stable/github_objects/Hook.html)
  - [HookDelivery](https://pygithub.readthedocs.io/en/stable/github_objects/HookDelivery.html)
  - [HookDeliveryRequest](https://pygithub.readthedocs.io/en/stable/github_objects/HookDeliveryRequest.html)
  - [HookDeliveryResponse](https://pygithub.readthedocs.io/en/stable/github_objects/HookDeliveryResponse.html)
  - [HookDeliverySummary](https://pygithub.readthedocs.io/en/stable/github_objects/HookDeliverySummary.html)
  - [HookDescription](https://pygithub.readthedocs.io/en/stable/github_objects/HookDescription.html)
  - [HookResponse](https://pygithub.readthedocs.io/en/stable/github_objects/HookResponse.html)
  - [Installation](https://pygithub.readthedocs.io/en/stable/github_objects/Installation.html)
  - [InstallationAuthorization](https://pygithub.readthedocs.io/en/stable/github_objects/InstallationAuthorization.html)
  - [Invitation](https://pygithub.readthedocs.io/en/stable/github_objects/Invitation.html)
  - [Issue](https://pygithub.readthedocs.io/en/stable/github_objects/Issue.html)
  - [IssueComment](https://pygithub.readthedocs.io/en/stable/github_objects/IssueComment.html)
  - [IssueEvent](https://pygithub.readthedocs.io/en/stable/github_objects/IssueEvent.html)
  - [IssuePullRequest](https://pygithub.readthedocs.io/en/stable/github_objects/IssuePullRequest.html)
  - [Label](https://pygithub.readthedocs.io/en/stable/github_objects/Label.html)
  - [License](https://pygithub.readthedocs.io/en/stable/github_objects/License.html)
  - [Membership](https://pygithub.readthedocs.io/en/stable/github_objects/Membership.html)
  - [MergedUpstream](https://pygithub.readthedocs.io/en/stable/github_objects/MergedUpstream.html)
  - [Migration](https://pygithub.readthedocs.io/en/stable/github_objects/Migration.html)
  - [Milestone](https://pygithub.readthedocs.io/en/stable/github_objects/Milestone.html)
  - [NamedEnterpriseUser](https://pygithub.readthedocs.io/en/stable/github_objects/NamedEnterpriseUser.html)
  - [NamedUser](https://pygithub.readthedocs.io/en/stable/github_objects/NamedUser.html)
  - [Notification](https://pygithub.readthedocs.io/en/stable/github_objects/Notification.html)
  - [NotificationSubject](https://pygithub.readthedocs.io/en/stable/github_objects/NotificationSubject.html)
  - [Organization](https://pygithub.readthedocs.io/en/stable/github_objects/Organization.html)
  - [OrganizationCustomProperty](https://pygithub.readthedocs.io/en/stable/github_objects/OrganizationCustomProperty.html)
  - [OrganizationDependabotAlert](https://pygithub.readthedocs.io/en/stable/github_objects/OrganizationDependabotAlert.html)
  - [OrganizationSecret](https://pygithub.readthedocs.io/en/stable/github_objects/OrganizationSecret.html)
  - [OrganizationVariable](https://pygithub.readthedocs.io/en/stable/github_objects/OrganizationVariable.html)
  - [Path](https://pygithub.readthedocs.io/en/stable/github_objects/Path.html)
  - [Permissions](https://pygithub.readthedocs.io/en/stable/github_objects/Permissions.html)
  - [Plan](https://pygithub.readthedocs.io/en/stable/github_objects/Plan.html)
  - [Project](https://pygithub.readthedocs.io/en/stable/github_objects/Project.html)
  - [ProjectCard](https://pygithub.readthedocs.io/en/stable/github_objects/ProjectCard.html)
  - [ProjectColumn](https://pygithub.readthedocs.io/en/stable/github_objects/ProjectColumn.html)
  - [PublicKey](https://pygithub.readthedocs.io/en/stable/github_objects/PublicKey.html)
  - [PullRequest](https://pygithub.readthedocs.io/en/stable/github_objects/PullRequest.html)
  - [PullRequestComment](https://pygithub.readthedocs.io/en/stable/github_objects/PullRequestComment.html)
  - [PullRequestMergeStatus](https://pygithub.readthedocs.io/en/stable/github_objects/PullRequestMergeStatus.html)
  - [PullRequestPart](https://pygithub.readthedocs.io/en/stable/github_objects/PullRequestPart.html)
  - [PullRequestReview](https://pygithub.readthedocs.io/en/stable/github_objects/PullRequestReview.html)
  - [Rate](https://pygithub.readthedocs.io/en/stable/github_objects/Rate.html)
  - [RateLimit](https://pygithub.readthedocs.io/en/stable/github_objects/RateLimit.html)
  - [Reaction](https://pygithub.readthedocs.io/en/stable/github_objects/Reaction.html)
  - [Referrer](https://pygithub.readthedocs.io/en/stable/github_objects/Referrer.html)
  - [RepoCodeSecurityConfig](https://pygithub.readthedocs.io/en/stable/github_objects/RepoCodeSecurityConfig.html)
  - [Repository](https://pygithub.readthedocs.io/en/stable/github_objects/Repository.html)
  - [RepositoryAdvisory](https://pygithub.readthedocs.io/en/stable/github_objects/RepositoryAdvisory.html)
  - [RepositoryCustomPropertyValues](https://pygithub.readthedocs.io/en/stable/github_objects/RepositoryCustomPropertyValues.html)
  - [RepositoryDiscussion](https://pygithub.readthedocs.io/en/stable/github_objects/RepositoryDiscussion.html)
  - [RepositoryDiscussionCategory](https://pygithub.readthedocs.io/en/stable/github_objects/RepositoryDiscussionCategory.html)
  - [RepositoryDiscussionComment](https://pygithub.readthedocs.io/en/stable/github_objects/RepositoryDiscussionComment.html)
  - [RepositoryKey](https://pygithub.readthedocs.io/en/stable/github_objects/RepositoryKey.html)
  - [RepositoryPreferences](https://pygithub.readthedocs.io/en/stable/github_objects/RepositoryPreferences.html)
  - [RequiredPullRequestReviews](https://pygithub.readthedocs.io/en/stable/github_objects/RequiredPullRequestReviews.html)
  - [RequiredStatusChecks](https://pygithub.readthedocs.io/en/stable/github_objects/RequiredStatusChecks.html)
  - [Secret](https://pygithub.readthedocs.io/en/stable/github_objects/Secret.html)
  - [SecurityAndAnalysis](https://pygithub.readthedocs.io/en/stable/github_objects/SecurityAndAnalysis.html)
  - [SecurityAndAnalysisFeature](https://pygithub.readthedocs.io/en/stable/github_objects/SecurityAndAnalysisFeature.html)
  - [SelfHostedActionsRunner](https://pygithub.readthedocs.io/en/stable/github_objects/SelfHostedActionsRunner.html)
  - [SourceImport](https://pygithub.readthedocs.io/en/stable/github_objects/SourceImport.html)
  - [Stargazer](https://pygithub.readthedocs.io/en/stable/github_objects/Stargazer.html)
  - [StatsCodeFrequency](https://pygithub.readthedocs.io/en/stable/github_objects/StatsCodeFrequency.html)
  - [StatsCommitActivity](https://pygithub.readthedocs.io/en/stable/github_objects/StatsCommitActivity.html)
  - [StatsContributor](https://pygithub.readthedocs.io/en/stable/github_objects/StatsContributor.html)
  - [StatsParticipation](https://pygithub.readthedocs.io/en/stable/github_objects/StatsParticipation.html)
  - [StatsPunchCard](https://pygithub.readthedocs.io/en/stable/github_objects/StatsPunchCard.html)
  - [Tag](https://pygithub.readthedocs.io/en/stable/github_objects/Tag.html)
  - [Team](https://pygithub.readthedocs.io/en/stable/github_objects/Team.html)
  - [TeamDiscussion](https://pygithub.readthedocs.io/en/stable/github_objects/TeamDiscussion.html)
  - [TimelineEvent](https://pygithub.readthedocs.io/en/stable/github_objects/TimelineEvent.html)
  - [TimelineEventSource](https://pygithub.readthedocs.io/en/stable/github_objects/TimelineEventSource.html)
  - [Topic](https://pygithub.readthedocs.io/en/stable/github_objects/Topic.html)
  - [Traffic](https://pygithub.readthedocs.io/en/stable/github_objects/Traffic.html)
  - [UserKey](https://pygithub.readthedocs.io/en/stable/github_objects/UserKey.html)
  - [Variable](https://pygithub.readthedocs.io/en/stable/github_objects/Variable.html)
  - [View](https://pygithub.readthedocs.io/en/stable/github_objects/View.html)
  - [Workflow](https://pygithub.readthedocs.io/en/stable/github_objects/Workflow.html)
  - [WorkflowJob](https://pygithub.readthedocs.io/en/stable/github_objects/WorkflowJob.html)
  - [WorkflowRun](https://pygithub.readthedocs.io/en/stable/github_objects/WorkflowRun.html)
  - [WorkflowStep](https://pygithub.readthedocs.io/en/stable/github_objects/WorkflowStep.html)